From a2f0c39d5f21596bb9f5223e895c0ff210b265d0 Mon Sep 17 00:00:00 2001
From: Sergey Dryabzhinsky <sergey.dryabzhinsky@gmail.com>
Date: Sat, 13 Aug 2011 23:02:20 -0400
Subject: [PATCH 8/8] cpufrequtils: make NLS optional

https://bugs.gentoo.org/205576

Signed-off-by: Matt Turner <mattst88@gmail.com>
Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
---
 Makefile     |    1 +
 utils/info.c |   10 +++++++++-
 utils/set.c  |   10 +++++++++-
 3 files changed, 19 insertions(+), 2 deletions(-)

Index: cpufrequtils/Makefile
===================================================================
--- cpufrequtils.orig/Makefile	2012-05-06 13:30:41.865796974 +0900
+++ cpufrequtils/Makefile	2012-05-06 13:35:13.994099919 +0900
@@ -140,6 +140,7 @@
 ifeq ($(strip $(NLS)),true)
 	INSTALL_NLS += install-gmo
 	COMPILE_NLS += update-gmo
+	CPPFLAGS += -DNLS
 endif
 
 ifeq ($(strip $(CPUFRQ_BENCH)),true)
Index: cpufrequtils/utils/info.c
===================================================================
--- cpufrequtils.orig/utils/info.c	2012-05-06 11:56:20.287842838 +0900
+++ cpufrequtils/utils/info.c	2012-05-06 13:35:13.994099919 +0900
@@ -10,7 +10,6 @@
 #include <errno.h>
 #include <stdlib.h>
 #include <string.h>
-#include <libintl.h>
 #include <locale.h>
 
 #include <getopt.h>
@@ -18,9 +17,18 @@
 #include "cpufreq.h"
 
 
+#ifdef NLS
+#include <libintl.h>
 #define _(String) gettext (String)
 #define gettext_noop(String) String
 #define N_(String) gettext_noop (String)
+#else
+#define gettext_noop(String) String
+#define _(String) gettext_noop (String)
+#define gettext(String) gettext_noop (String)
+#define N_(String) gettext_noop (String)
+#define textdomain(String)
+#endif
 
 #define LINE_LEN 10
 
Index: cpufrequtils/utils/set.c
===================================================================
--- cpufrequtils.orig/utils/set.c	2012-05-06 11:56:20.287842838 +0900
+++ cpufrequtils/utils/set.c	2012-05-06 13:35:13.994099919 +0900
@@ -12,16 +12,24 @@
 #include <limits.h>
 #include <string.h>
 #include <ctype.h>
-#include <libintl.h>
 #include <locale.h>
 
 #include <getopt.h>
 
 #include "cpufreq.h"
 
+#ifdef NLS
+#include <libintl.h>
 #define _(String) gettext(String)
 #define gettext_noop(String) String
 #define N_(String) gettext_noop(String)
+#else
+#define gettext_noop(String) String
+#define _(String) gettext_noop (String)
+#define gettext(String) gettext_noop (String)
+#define N_(String) gettext_noop (String)
+#define textdomain(String)
+#endif
 
 #define NORM_FREQ_LEN 32
 
